com.thinkaurelius.titan.graphdb.relations

## Class EdgeDirection

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.relations.EdgeDirection

-     public class EdgeDirection
      extends Object

  IMPORTANT: The byte values of the proper directions must be sequential, i.e. the byte values of proper and improper directions may NOT be mixed. This is crucial IN the retrieval for proper edges where we make this assumption.
  Author:
    Matthias Broecheler (me@matthiasb.com);

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.tinkerpop.blueprints.Direction[]` | `PROPER_DIRS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeDirection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.tinkerpop.blueprints.Direction` | `fromPosition(int pos)`
    `static boolean` | `impliedBy(com.tinkerpop.blueprints.Direction sub, com.tinkerpop.blueprints.Direction sup)`
    `static boolean` | `isProperDirection(com.tinkerpop.blueprints.Direction dir)`
    `static int` | `position(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPER_DIRS

          public static final com.tinkerpop.blueprints.Direction[] PROPER_DIRS

  - ### Constructor Detail

    - #### EdgeDirection

          public EdgeDirection()

  - ### Method Detail

    - #### impliedBy

          public static boolean impliedBy(com.tinkerpop.blueprints.Direction sub,
                          com.tinkerpop.blueprints.Direction sup)

    - #### fromPosition

          public static com.tinkerpop.blueprints.Direction fromPosition(int pos)

    - #### position

          public static int position(com.tinkerpop.blueprints.Direction dir)

    - #### isProperDirection

          public static boolean isProperDirection(com.tinkerpop.blueprints.Direction dir)

Copyright © 2012–2014. All rights reserved.